Page MenuHomePhabricator

Translate Edit Card UI strings
Closed, ResolvedPublic

Description

Task overview

This task involves the work with making sure the Edit Cards T221309 UI text is translated properly so contributors can read and understand it.

Open

  • Considering, all text in the link Edit Card is the same as that in desktop VE, is no further translation required?
  • List all text needing to be translated in the "Text strings needing translation" section

Text strings needing translation

This table should be populated with all the text strings Edit Cards v1.0 contains and whether those strings need to be translated into the languages in the table below.

Text string (EN)Needs translation
"Link"no
"Label"no
"Remove link"???
"Edit"no

Translations needed

This table should say whether the strings in the "Text strings needing translation" table above have been translated successfullly.

WikiLanguage to be translated intoStatus
he.wikiHebrew???
bn.wikiBengali???
fa.wikiPersian???

Done

  • All translations have been made (read: all rows in the table above are marked "✅done")
  • Translations have been merged into the code There is likely a more accurate way of writing this

Caveats:

  • As @Amire80 wisely pointed out, this ticket may be moot if the strings are a part of the software (PHP or JS). In which case, translations will happen soon after the code is deployed.

Event Timeline

ppelberg created this task.Jun 11 2019, 8:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 8:42 PM
ppelberg updated the task description. (Show Details)Jun 11 2019, 8:45 PM
ppelberg renamed this task from Localize UI copy to Translate Edit Card UI strings.Jun 11 2019, 9:02 PM
ppelberg updated the task description. (Show Details)
ppelberg added a subscriber: Amire80.
ppelberg updated the task description. (Show Details)Jun 11 2019, 9:10 PM
ppelberg updated the task description. (Show Details)

Translations have been merged into the code

Two new messages have been added in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/514510 ("Add a link" and "Edit link"), I assume that's all that's needed.

All translations have been made

Folks on Translatewiki have apparently been working on them, because we already have translations in the following languages: ar, bn, cs, fa, fr, it, ko, lb, lv, mk, ml, my, nl, pl, pt-br, roa-tara, sv, th. But we're missing Hebrew (he).

matmarex updated the task description. (Show Details)Jun 12 2019, 5:02 PM
ppelberg updated the task description. (Show Details)Jun 13 2019, 3:19 PM

Translations have been merged into the code

Great.

Two new messages have been added in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/514510 ("Add a link" and "Edit link"), I assume that's all that's needed.

For this iteration, this is correct. No additional new messages need to be added or translated because for v1.0 we decided not to make any changes to the text strings within the Edit Cards UI. (Read: we are recycling language from the desktop link inspector. See screenshot below.)

All translations have been made

Folks on Translatewiki have apparently been working on them, because we already have translations in the following languages: ar, bn, cs, fa, fr, it, ko, lb, lv, mk, ml, my, nl, pl, pt-br, roa-tara, sv, th. But we're missing Hebrew (he).

Screenshot: desktop VE link inspector

Considering we are not making any translations for v1.0. I am associating this ticket with v2.0 (T225725), which will include new messages that will likely require translations.

matmarex removed a subscriber: matmarex.Jun 14 2019, 5:39 PM

For this iteration, this is correct. No additional new messages need to be added or translated because for v1.0 we decided not to make any changes to the text strings within the Edit Cards UI. (Read: we are recycling language from the desktop link inspector. See screenshot below.)

What do you mean by "recycling"? Are you planning to use the same strings in two places?

ppelberg added a subscriber: matmarex.EditedJun 14 2019, 6:04 PM

What do you mean by "recycling"? Are you planning to use the same strings in two places?

Ah, I can see how "recycling" was ambiguous. Sorry for any confusion.

By using the word "recycling" I was wanting to communicate the following:

  • The messages, literally the snippets of plain text [1] in the UI of the version of Edit Cards we will be deploying this upcoming Tuesday, 18-June are the same words that are present in the UI of the link inspector currently live in desktop VE.

By using the word "recycling" I was not wanting to communicate anything about where/how these messages are represented in the code.

@Amire80 does that clarify things?

Side note: @matmarex, you know this far better than me (this is my first experience with localisation) – do you see anything in this conversation that you think would be helpful for me to clarify?


  1. Snippets of plain text: "Label" / "Link" / "Change label" / "Edit" / etc.

OK, thanks for the clarification. If the functionality is the same, then it may be fine to use the same messages on desktop and on mobile. However, it is also imaginable that there will be issues with this. For example, that in mobile context the messages won't fit well in some languages. So be ready to add new message keys if translators or users ask for it, even if the English strings will be the same.

Though it is somewhat unintuitive, duplicating messages is often OK. See this explanation:
https://www.mediawiki.org/wiki/Localisation#Avoid_message_re-use

Based on the latest iteration of the mockup for V2 (attached), I think that we need to add the term "unlink" for translation. Can someone (maybe @matmarex ) confirm if that's right?

@Amire80 @ppelberg Regarding "recycling" messages, the new mobile interface is in fact going to use the same messages that are already used in two places, on desktop and in the old mobile interface. I think this is fine (the text represents the same concepts and the same actions in all of these interfaces), and even desirable (I think it's useful for mobile and desktop users to see the same language: to make it easier for a person to switch between the two interfaces, and to avoid miscommunications when discussing between people using different interfaces). We've had some issues in the past with translated messages not fitting, but we usually solved that with changes to the interface (e.g. allowing line-wrapping).

@iamjessklein Correct, although I also just suggested that we change the "Unlink" label to "Remove link" (T225725), and coincidentally the latter is already in use and translated.

ppelberg updated the task description. (Show Details)Jun 24 2019, 10:03 PM

@iamjessklein, where is the best place for me to see the latest iterations of the screens? Asking so I can identify the text strings that we'll need to have translated.

ppelberg claimed this task.Jul 5 2019, 5:55 PM

This has been shipped so the translations are available via translate wiki if they have not already been translated

ppelberg closed this task as Resolved.Sep 3 2019, 1:18 AM